Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 223503 - Split esound package
Summary: Split esound package
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: esound
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Alexander Larsson
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: FC7Target 223531
TreeView+ depends on / blocked
 
Reported: 2007-01-19 19:18 UTC by Matthias Clasen
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-01-20 22:57:27 UTC


Attachments (Terms of Use)
esound.spec (deleted)
2007-01-19 20:59 UTC, Matthias Clasen
no flags Details
esound.spec (deleted)
2007-01-19 21:02 UTC, Matthias Clasen
no flags Details

Description Matthias Clasen 2007-01-19 19:18:09 UTC
Split it into esound (daemon and utils) and esound-libs - the plan 
for fc7 is to replace esd by pulseaudio, but we won't be able to get
rid of all libesd dependencies, and pulseaudio can operate as a drop-in
replacement for esd.

Comment 1 Matthias Clasen 2007-01-19 20:59:18 UTC
Created attachment 146032 [details]
esound.spec

Here is how it could look.

Comment 2 Matthias Clasen 2007-01-19 21:02:01 UTC
Created attachment 146033 [details]
esound.spec

Here is how it could look. 
Not sure if it is right for esound-libs to requires esound. 
It is probably better to require /usr/bin/esd, as that is what
pulseaudio actually provides (or will provide).

Comment 3 Matthias Clasen 2007-01-20 13:11:38 UTC
Looking at what currently requires esound, I only find esound-devel and libgnomeui. 

libgnomeui should only require /usr/bin/esd, if at all.


Comment 4 Matthias Clasen 2007-01-20 22:57:27 UTC
I've done the split in esound-0.2.36-4.fc7


Note You need to log in before you can comment on or make changes to this bug.